<mamecheat version="1">

  <cheat desc="Invaders never drop">
    <script state="run">
      <action>maincpu.pb@1C20=78</action>
    </script>
  </cheat>

  <cheat desc="Invaders don't fire">
    <script state="run">
      <action>maincpu.pw@1C94=3000</action>
    </script>
  </cheat>

  <cheat desc="Bullet Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@0C5D</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0C5D=C3</action>
      <action>maincpu.pb@1C55=FF</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0C5D=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@1EFF=07</action>
    </script>
  </cheat>

  <cheat desc="Kill All Invaders Now! PL1">
    <script state="on">
      <action>maincpu.pq@1E00=0000000000000000</action> <!-- 1st Line 1E00 to 1E0A -->
      <action>maincpu.pq@1E08=0000000000000000</action> <!-- 2nd Line 1E0B to 1E15 -->
      <action>maincpu.pq@1E10=0000000000000000</action> <!-- 3rd Line 1E16 to 1E20 -->
      <action>maincpu.pq@1E18=0000000000000000</action> <!-- 4th Line 1E21 to 1E2B -->
      <action>maincpu.pq@1E20=0000000000000000</action> <!-- Top Line 1E2C to 1E36 -->
      <action>maincpu.pq@1E28=0000000000000000</action>
      <action>maincpu.pq@1E30=0000000000000000|(maincpu.pq@1E30 BAND ~00FFFFFFFFFFFFFF)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@1FFF=07</action>
    </script>
  </cheat>

  <cheat desc="Kill All Invaders Now! PL2">
    <script state="on">
      <action>maincpu.pq@1F00=0000000000000000</action> <!-- 1st Line 1F00 to 1F0A -->
      <action>maincpu.pq@1F08=0000000000000000</action> <!-- 2nd Line 1F0B to 1F15 -->
      <action>maincpu.pq@1F10=0000000000000000</action> <!-- 3rd Line 1F16 to 1F20 -->
      <action>maincpu.pq@1F18=0000000000000000</action> <!-- 4th Line 1F21 to 1F2B -->
      <action>maincpu.pq@1F20=0000000000000000</action> <!-- Top Line 1F2C to 1F36 -->
      <action>maincpu.pq@1F28=0000000000000000</action>
      <action>maincpu.pq@1F30=0000000000000000|(maincpu.pq@1F30 BAND ~00FFFFFFFFFFFFFF)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
